	byte input(10)
	call reread(3)
	read(5,10) i,j
10	format(2i)
	read(3,10)nn,nnn
	type*,nn,nnn
	read(7,20) i,j,l
20	format(3i)
	read(3,20)l,m,n
    	type*,l,m,n
	call reread_toggle()
	read(5,10)i,j
	read(3)(input(mm),mm=1,3)
	do 100, i=1,10
100	type*,input(i)
	end

